class InscripcionController < ApplicationController
  def index
    list
    render :action => 'list'
  end

  # GETs should be safe (see http://www.w3.org/2001/tag/doc/whenToUseGet.html)
  verify :method => :post, :only => [ :destroy, :create, :update ],
         :redirect_to => { :action => :list }

  def list
    @inscripto_pages, @inscriptos = paginate :inscriptos, :per_page => 10
  end

  def show
    @inscripto = Inscripto.find(params[:id])
  end

  def new
    @inscripto = Inscripto.new
  end

  def create
    @inscripto = Inscripto.new(params[:inscripto])
    if @inscripto.save
      flash[:notice] = 'Inscripto was successfully created.'
      redirect_to :action => 'list'
    else
      render :action => 'new'
    end
  end

  def edit
    @inscripto = Inscripto.find(params[:id])
  end

  def update
    @inscripto = Inscripto.find(params[:id])
    if @inscripto.update_attributes(params[:inscripto])
      flash[:notice] = 'Inscripto was successfully updated.'
      redirect_to :action => 'show', :id => @inscripto
    else
      render :action => 'edit'
    end
  end

  def destroy
    Inscripto.find(params[:id]).destroy
    redirect_to :action => 'list'
  end
end
