require File.dirname(__FILE__) + '/../test_helper'
require 'inscripcion_controller'

# Re-raise errors caught by the controller.
class InscripcionController; def rescue_action(e) raise e end; end

class InscripcionControllerTest < Test::Unit::TestCase
  fixtures :inscriptos

  def setup
    @controller = InscripcionController.new
    @request    = ActionController::TestRequest.new
    @response   = ActionController::TestResponse.new

    @first_id = inscriptos(:first).id
  end

  def test_index
    get :index
    assert_response :success
    assert_template 'list'
  end

  def test_list
    get :list

    assert_response :success
    assert_template 'list'

    assert_not_nil assigns(:inscriptos)
  end

  def test_show
    get :show, :id => @first_id

    assert_response :success
    assert_template 'show'

    assert_not_nil assigns(:inscripto)
    assert assigns(:inscripto).valid?
  end

  def test_new
    get :new

    assert_response :success
    assert_template 'new'

    assert_not_nil assigns(:inscripto)
  end

  def test_create
    num_inscriptos = Inscripto.count

    post :create, :inscripto => {}

    assert_response :redirect
    assert_redirected_to :action => 'list'

    assert_equal num_inscriptos + 1, Inscripto.count
  end

  def test_edit
    get :edit, :id => @first_id

    assert_response :success
    assert_template 'edit'

    assert_not_nil assigns(:inscripto)
    assert assigns(:inscripto).valid?
  end

  def test_update
    post :update, :id => @first_id
    assert_response :redirect
    assert_redirected_to :action => 'show', :id => @first_id
  end

  def test_destroy
    assert_nothing_raised {
      Inscripto.find(@first_id)
    }

    post :destroy, :id => @first_id
    assert_response :redirect
    assert_redirected_to :action => 'list'

    assert_raise(ActiveRecord::RecordNotFound) {
      Inscripto.find(@first_id)
    }
  end
end
